## ros-eloquent-lifecycle 0.8.4

=== debian/changelog ===
ros-eloquent-lifecycle (0.8.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-lifecycle (0.8.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-lifecycle (0.8.2-1bionic) bionic; urgency=high

  * Remove unnecessary dependency on ros2run (#413 <https://github.com/ros2/demos/issues/413>)
  * Contributors: Michel Hidalgo

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-lifecycle (0.8.1-1bionic) bionic; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.8.0-1bionic) bionic; urgency=high

  * Fix lifecycle_service_client namespace (#369 <https://github.com/ros2/demos/issues/369>)
  * Contributors: Cameron Evans

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.6-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.5-1bionic) bionic; urgency=high

  * Update asciinema recordings (#360 <https://github.com/ros2/demos/issues/360>)
  * Use rate instead of thread::sleep to react to Ctrl-C (#348 <https://github.com/ros2/demos/issues/348>)
  * Contributors: Dirk Thomas, Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.4-1bionic) bionic; urgency=high

  * Add lifecycle rostest (#336 <https://github.com/ros2/demos/issues/336>)
  * Contributors: Michel Hidalgo

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 10 May 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Contributors: William Woodall, ivanpauno

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.7.0-1bionic) bionic; urgency=high

  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Michael Carroll

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-lifecycle (0.6.2-1bionic) bionic; urgency=high

  * Added readme.rst (#300 <https://github.com/ros2/demos/issues/300>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-eloquent-lifecycle (0.6.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-lifecycle (0.6.0-1bionic) bionic; urgency=high

  * Cleaned up lifecycle demo (#283 <https://github.com/ros2/demos/issues/283>)
  * Updated for refactoring in rclcpp (#276 <https://github.com/ros2/demos/issues/276>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Fixed typo in comment (#270 <https://github.com/ros2/demos/issues/270>)
  * Contributors: Chris Lalancette, Karsten Knese, Yutaka Kondo

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-lifecycle (0.5.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-lifecycle (0.5.0-1bionic) bionic; urgency=high

  * Converted launch files to the new launch style. (#262 <https://github.com/ros2/demos/issues/262>)
  * Updated to support remapping arguments to python nodes by passing unused arguments to rclpy from argparse. (#252 <https://github.com/ros2/demos/issues/252>)
  * Updated to handle change in signature to ``get_service_name``. (#245 <https://github.com/ros2/demos/issues/245>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated service client demos to handle multiple requests. (#228 <https://github.com/ros2/demos/issues/228>)
  * Contributors: Geoffrey Biggs, Kevin Allen, Shane Loretz, William Woodall, dhood

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 27 Jun 2018 05:00:00 -0000
